Subject: Re: [PATCH] powerpc: Export __spin_yield

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 30 Mar 2015 21:57:48 +1100

On Mon, 2015-03-30 at 12:17 +0200, Geert Uytterhoeven wrote:
> Hi Ben,
> 
> On Fri, Mar 20, 2015 at 12:08 AM, Paul Mackerras <[email-masked]> wrote:
> > On Wed, Feb 25, 2015 at 05:23:53PM -0600, Suresh E. Warrier wrote:
> >> Export __spin_yield so that the arch_spin_unlock() function can
> >> be invoked from a module. This will be required for modules where
> >> we want to take a lock that is also is acquired in hypervisor
> >> real mode. Because we want to avoid running any lockdep code
> >> (which may not be safe in real mode), this lock needs to be
> >> an arch_spinlock_t instead of a normal spinlock.
> >>
> >> Signed-off-by: Suresh Warrier <[email-masked]>
> >
> > Acked-by: Paul Mackerras <[email-masked]>
> 
> Something went wrong when applying this, as it ended up as:

Ugh, weird. I must have fucked up something when rebasing. I don't
want to rebase that branch now that it's out, I know of at least one
series based on it. We'll live with it.

> commit 1f8c82ab1b0bc7e24601c0fca411fd27b9c883ef
> Author: Geert Uytterhoeven <[email-masked]>
> Date:   Wed Mar 4 12:56:20 2015 +0100
> 
>     cpufreq/ppc: Add missing #include <asm/smp.h>
> 
>     If CONFIG_SMP=n, <linux/smp.h> does not include <asm/smp.h>, causing:
> 
>     drivers/cpufreq/ppc-corenet-cpufreq.c: In function 'corenet_cpufreq_cpu_init
>     drivers/cpufreq/ppc-corenet-cpufreq.c:173:3: error: implicit declaration of
>     X-Patchwork-Id: 443703
>     Message-Id: <[email-masked]>
>     To: [email-masked]
>     Date: Wed, 25 Feb 2015 17:23:53 -0600
> 
>     Export __spin_yield so that the arch_spin_unlock() function can
>     be invoked from a module. This will be required for modules where
>     we want to take a lock that is also is acquired in hypervisor
>     real mode. Because we want to avoid running any lockdep code
>     (which may not be safe in real mode), this lock needs to be
>     an arch_spinlock_t instead of a normal spinlock.
> 
>     Signed-off-by: Suresh Warrier <[email-masked]>
>     Acked-by: Paul Mackerras <[email-masked]>
>     Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> 
> Gr{oetje,eeting}s,
> 
>                         Geert
> 
> --
> Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]
> 
> In personal conversations with technical people, I call myself a hacker. But
> when I'm talking to journalists I just say "programmer" or something like that.
>                                 -- Linus Torvalds